database_api.list_decline_voting_rights_requests
since HF14
Purpose
투표권 포기 요청 목록을 반환합니다. 파라미터: start:object; limit:int; order:string
start는order에 따라 달라집니다 (아래 참고)limit는 최대 1000입니다.order는 다음 중 하나:by_account- 계정 순start는 문자열입니다:account
by_effective_date- 적용일 (effective date) 순start는timestamp,account두 값으로 이루어진 배열입니다
| start (object) | limit (int) | order (string) | | |----------------------------|---------------|-| | "" | 10 | "by_account" | 처음 10개 요청을, 계정 순으로 조회합니다 | | ["1960-01-01T00:00:00", ""] | 10 | "by_effective_date" | 처음 10개 요청을, 적용일 순으로 조회합니다 |
함께 보기: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_decline_voting_rights_requests",
"params": {
"start": "",
"limit": 10,
"order": "by_account"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_decline_voting_rights_requests",
"params": {
"start": [
"1970-01-01T00:00:00",
"",
""
],
"limit": 10,
"order": "by_effective_date"
},
"id": 1
}'Response
RESPONSE
json
{
"requests": []
}